SAP Agent does not start | Unsupported major.minor version 52

book

Article ID: 109732

calendar_today

Updated On:

Products

CA Automic Workload Automation - Automation Engine

Issue/Introduction

CA Automic SAP Agent does not start  and gives the following error message: 

/opt/automic/agents/bin> java -Xmx256M -jar ucxjr3x.jar 
Exception in thread "main" java.lang.UnsupportedClassVersionError: com/uc4/ex/sap/UCXJR3X : Unsupported major.minor version 52.0 
at java.lang.ClassLoader.defineClass1(Native Method) 
at java.lang.ClassLoader.defineClassCond(ClassLoader.java:631) 
at java.lang.ClassLoader.defineClass(ClassLoader.java:615) 
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141) 
at java.net.URLClassLoader.defineClass(URLClassLoader.java:283) 
at java.net.URLClassLoader.access$000(URLClassLoader.java:58) 
at java.net.URLClassLoader$1.run(URLClassLoader.java:197) 
at java.security.AccessController.doPrivileged(Native Method) 
at java.net.URLClassLoader.findClass(URLClassLoader.java:190) 
at java.lang.ClassLoader.loadClass(ClassLoader.java:306) 
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301) 
at java.lang.ClassLoader.loadClass(ClassLoader.java:247) 
Could not find the main class: com.uc4.ex.sap.UCXJR3X. Program will exit.

 

Cause

The error message "Unsupported major.minor version 52.0" means that the Java version installed on the machine is not compatible with the CA Automic SAP Agent v12.x.

Environment

Products: CA Automic SAP Agent v12.x
Operating System: All

 It applies to RA FTP agent as well

Resolution

As explained in the Compatibility matrix, CA Automic SAP Agent v12.x requires Java v1.8.